Skip to main content
POST
Restore a Snapshot

Authorizations

X-API-Key
string
header
required

Supply the API Key in the HTTP-Header

Path Parameters

snapshotId
string
required

The unique identifier for the Snapshot.

Required string length: 24
Pattern: ^[a-z0-9]{24}$

Body

application/json
projectId
string
required
Required string length: 24
Pattern: ^[a-z0-9]{24}$

Response

Task to restore the Snapshot successfully created.

_id
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
status
enum<string>

The status of the task

Available options:
queued,
active,
done,
cancelling,
cancelled,
error
Example:

"queued"

type
string
Example:

"trainIntents"

parameters
object
lastChangedAt
number
Example:

1594243850

lastCreatedAt
number
Example:

1594243850

currentStep
integer
Example:

0

totalStep
integer
Example:

100

Last modified on July 22, 2026